Summary:	This is a simple test suite for testing php4
Name:		php4-test
Version:	4.4.0
Release:	%mkrel 1
Group:		System/Servers
URL:		http://www.php.net
License:	PHP License
BuildRequires:	php4-devel >= 4.4.0
Requires:	php4-adodb
Requires:	php4-apc
Requires:	php4-auth_nds
Requires:	php4-bz2
Requires:	php4-calendar
Requires:	php4-cli
Requires:	php4-cups
Requires:	php4-curl
Requires:	php4-cyrus
Requires:	php4-dba_bundle
Requires:	php4-dbase
Requires:	php4-dbx
Requires:	php4-dio
Requires:	php4-domxml
Requires:	php4-eaccelerator
Requires:	php4-ecasound
Requires:	php4-enchant
Requires:	php4-esmtp
Requires:	php4-event
Requires:	php4-exif
Requires:	php4-ffmpeg
Requires:	php4-filepro
Requires:	php4-gd
Requires:	php4-gmp
Requires:	php4-gtk
Requires:	php4-iconv
Requires:	php4-id3
Requires:	php4-idn
Requires:	php4-imagick
Requires:	php4-imap
Requires:	php4-imlib2
Requires:	php4-kadm5
Requires:	php4-ldap
Requires:	php4-mailparse
Requires:	php4-mbstring
Requires:	php4-mcache
Requires:	php4-mcal
Requires:	php4-mcrypt
Requires:	php4-mhash
Requires:	php4-mime_magic
Requires:	php4-ming
Requires:	php4-mnogosearch
Requires:	php4-mssql
Requires:	php4-mysql
Requires:	php4-ncurses
Requires:	php4-netools
Requires:	php4-newt
Requires:	php4-odbc
Requires:	php4-oggvorbis
Requires:	php4-overload
Requires:	php4-pam_auth
Requires:	php4-pcntl
Requires:	php4-pgsql
Requires:	php4-pspell
Requires:	php4-python
Requires:	php4-radius
Requires:	php4-readline
Requires:	php4-recode
Requires:	php4-ruli
Requires:	php4-sasl
Requires:	php4-shmop
Requires:	php4-snmp
Requires:	php4-sockets
Requires:	php4-sqlite
Requires:	php4-ssh2
Requires:	php4-sybase
Requires:	php4-sysvmsg
Requires:	php4-tclink
Requires:	php4-tcpwrap
Requires:	php4-tidy
Requires:	php4-tk
Requires:	php4-tokenizer
Requires:	php4-translit
Requires:	php4-wddx
Requires:	php4-xdebug
Requires:	php4-xml
Requires:	php4-xmlrpc
Requires:	php4-xmms
Requires:	php4-xslt
Requires:	php4-yaz
Requires:	php4-zip
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is a simple test suite for testing php4

%prep

%setup -c -T

%build

cat > php4-test << EOF
#!/bin/bash
TMPF=\`mktemp -d \$TMPDIR/php4-test-XXXXXX\`
echo "Using directory \$TMPF to run tests"
cd \$TMPF
cp -a /usr/src/php4-devel/* .
find extensions -type f -name '*.phpt' > bundled_extensions.txt
extra_extensions=\`find /usr/share/doc/php4-* -type d -name 'tests' | sed -e 's/\/tests//'\`
mkdir -p extra_extensions
cp -rp \$extra_extensions extra_extensions/
find extra_extensions -type f -name '*.phpt' > extra_extensions.txt

echo "==============================================================================="
echo "Running standard tests"
TEST_PHP_EXECUTABLE='/usr/bin/php4' /usr/bin/php4 run-tests.php

echo "==============================================================================="
echo "Running tests for the bundled extensions"
TEST_PHP_EXECUTABLE='/usr/bin/php4' /usr/bin/php4 run-tests.php -l bundled_extensions.txt
echo "==============================================================================="
echo "Done... You must now evaluate any failed test."
echo "The failed tests are saved into the bundled_extensions.txt file"
echo "To run these execute:"
echo "TEST_PHP_EXECUTABLE='/usr/bin/php4' /usr/bin/php4 run-tests.php -l bundled_extensions.txt"

echo "==============================================================================="
echo "Running tests (if any) for the extra extensions"
TEST_PHP_EXECUTABLE='/usr/bin/php4' /usr/bin/php4 run-tests.php -l extra_extensions.txt
echo "==============================================================================="
echo "Done... You must now evaluate any failed test."
echo "The failed tests are saved into the extra_extensions.txt file"
echo "To run these execute:"
echo "TEST_PHP_EXECUTABLE='/usr/bin/php4' /usr/bin/php4 run-tests.php -l extra_extensions.txt"

echo "==============================================================================="
echo " All tests has now been run."
echo " You must manually clean the created test directory, like so:"
echo " rm -rf \$TMPF"
echo "==============================================================================="

EOF

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_bindir}

install -m0755 php4-test %{buildroot}%{_bindir}

cat > README.MDK << EOF
The Mandriva PHP test suite
---------------------------

To run the test suite simply execute the %{_bindir}/php4-test 
script.

EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.MDK
%{_bindir}/php4-test

%changelog
* Wed Jun 15 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- initial Mandriva package
